View Issue Details

IDProjectCategoryView StatusLast Update
0005922GNUnetGNSpublic2019-12-07 14:50
ReporterschanzenAssigned Toschanzen 
PriorityurgentSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.12.0Fixed in Version0.12.0 
Summary0005922: Switch label processing to UTF-8
DescriptionAccording to LSD001, GNS labels/names must be in UTF-8.
Currently, internationalized GNS labels are interpreted as punycode.
TagsNo tags attached.

Relationships

related to 0005927 resolvedschanzen GNS/nss plugin fails on invalid IDN names 
child of 0005920 assignedschanzen LSD001 meta issue 

Activities

schanzen

2019-11-30 15:34

manager   ~0015099

GNS names / processing switched to UTF-8. This is already implemented but guarded by the define "LSD001" .

Git: eb8770c02ac468d947c8286ebc7ebd877560431d

schanzen

2019-11-30 15:34

manager   ~0015100

Fixed in eb8770c02ac468d947c8286ebc7ebd877560431d

schanzen

2019-12-01 13:04

manager   ~0015113

Reopen until we remove ifdefs

Christian Grothoff

2019-12-07 14:50

manager   ~0015136

Flipped on in 3a13f497b..b365e4d52

Issue History

Date Modified Username Field Change
2019-10-05 22:37 schanzen New Issue
2019-10-05 22:37 schanzen Relationship added child of 0005920
2019-10-10 18:30 schanzen Relationship added related to 0005927
2019-11-08 11:31 schanzen Assigned To => schanzen
2019-11-08 11:31 schanzen Status new => assigned
2019-11-16 18:34 Christian Grothoff Priority normal => urgent
2019-11-30 15:34 schanzen Note Added: 0015099
2019-11-30 15:34 schanzen Status assigned => resolved
2019-11-30 15:34 schanzen Resolution open => fixed
2019-11-30 15:34 schanzen Fixed in Version => 0.12.0
2019-11-30 15:34 schanzen Note Added: 0015100
2019-12-01 13:04 schanzen Status resolved => assigned
2019-12-01 13:04 schanzen Note Added: 0015113
2019-12-07 14:50 Christian Grothoff Status assigned => resolved
2019-12-07 14:50 Christian Grothoff Note Added: 0015136